[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.IsEnabled

Returns True if both the control and all of its Parent controls are Enabled.

## Declaration

Source position: controls.pp line 1713

`public function TControl.IsEnabled: Boolean;`

## Function result

True when the control and all Parent controls are enabled.

## Description

Returns True when both the control instance and its parent control hierarchy are enabled. Used internally by TGraphicControls for painting and various states during run-time.